MsWksGraphInternal::OLEZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::OLEZone Struct Reference

Internal: the ole zone of a MsWksGraph ( v4) More...

Inheritance diagram for MsWksGraphInternal::OLEZone:

## Public Member Functions
| OLEZone (Zone const &z)
| constructor More...
virtual Type | type () const
| return the type More...
virtual void | print (std::ostream &o) const
| operator<< More...
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | getBinaryData (MWAWInputStreamPtr, librevenge::RVNGBinaryData &res, std::string &pictType) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed ) More...
Box2f | getLocalBox (bool extendWithBord=true) const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const

## Public Attributes
int | m_oleId
| the ole id More...
Vec2i | m_dim
| the dimension More...
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
Box2f | m_decal
| the local position More...
Vec2f | m_finalDecal
| the final local position More...
Box2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
MsWksGraph::Style | m_style
| the style More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group) More...
bool | m_isSent
| true if the zone is send More...

## Additional Inherited Members
Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown, Shape, ChartZone, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Detailed Description

Internal: the ole zone of a MsWksGraph ( v4)

## Constructor & Destructor Documentation

MsWksGraphInternal::OLEZone::OLEZone | ( | Zone const & | z | ) |
| inline

constructor

## Member Function Documentation

virtual void MsWksGraphInternal::OLEZone::print | ( | std::ostream & | o | ) | const
| inlinevirtual

operator<<

Reimplemented from MsWksGraphInternal::Zone.

virtual Type MsWksGraphInternal::OLEZone::type | ( |  | ) | const
| inlinevirtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

## Member Data Documentation

Vec2i MsWksGraphInternal::OLEZone::m_dim

the dimension

Referenced by MsWksGraph::getEntryPicture(), and print().

int MsWksGraphInternal::OLEZone::m_oleId

the ole id

Referenced by MsWksGraph::getEntryPicture(), print(), and MsWksGraph::send().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx